summaryrefslogtreecommitdiffstats
path: root/development/newlisp
diff options
context:
space:
mode:
author Jockey S. Kyd2011-10-05 12:28:42 +0200
committer Robby Workman2011-10-12 04:20:15 +0200
commit143a3e66bec8b8522299de5d1a5ba15a3915cb78 (patch)
treeb1bbfa3a9a3f66c18e0249aee79e9a2665dc1c07 /development/newlisp
parent8c1e37c0f01ec750e4c1fc48e229896b14d67d12 (diff)
downloadslackbuilds-143a3e66bec8b8522299de5d1a5ba15a3915cb78.tar.gz
development/newlisp: Added (Lisp-like scripting language)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/newlisp')
-rw-r--r--development/newlisp/README4
-rw-r--r--development/newlisp/newlisp.SlackBuild84
-rw-r--r--development/newlisp/newlisp.info10
-rw-r--r--development/newlisp/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/development/newlisp/README b/development/newlisp/README
new file mode 100644
index 0000000000..b387d20798
--- /dev/null
+++ b/development/newlisp/README
@@ -0,0 +1,4 @@
+newLISP is a Lisp-like, general-purpose scripting language. It has all the
+magic of traditional Lisp but is easier to learn and use. newLISP is
+friendly, fast, and small. Most of the functions you will ever need are
+already built in. newLISP runs on most operating systems.
diff --git a/development/newlisp/newlisp.SlackBuild b/development/newlisp/newlisp.SlackBuild
new file mode 100644
index 0000000000..80300d71e6
--- /dev/null
+++ b/development/newlisp/newlisp.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+#
+# Written by Jockey S. Kyd (jockey dot kyd at gmail dot com)
+# Public domain
+#
+
+PRGNAM=newlisp
+VERSION=10.3.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# no C{,XX}FLAGS should apply or build will die
+./configure-alt \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file \
+ | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null \
+ || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd doc
+ for i in *.html $(ls | grep '^[-0-9A-Z]*$'); do
+ if [ \! -f $PKG/usr/doc/$PRGNAM-$VERSION/$i ]; then
+ # copy those not in target to the target
+ cp -a $i $PKG/usr/doc/$PRGNAM-$VERSION
+ fi
+ done
+)
+cp -a README examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/newlisp/newlisp.info b/development/newlisp/newlisp.info
new file mode 100644
index 0000000000..a14fd6f7a9
--- /dev/null
+++ b/development/newlisp/newlisp.info
@@ -0,0 +1,10 @@
+PRGNAM="newlisp"
+VERSION="10.3.3"
+HOMEPAGE="http://www.newlisp.org/"
+DOWNLOAD="http://www.newlisp.org/downloads/newlisp-10.3.3.tgz"
+MD5SUM="9f997690d09b96dca9c3843784b13702"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jockey S. Kyd"
+EMAIL="jockey.kyd@gmail.com"
+APPROVED="Niels Horn"
diff --git a/development/newlisp/slack-desc b/development/newlisp/slack-desc
new file mode 100644
index 0000000000..2f0a0b5130
--- /dev/null
+++ b/development/newlisp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+newlisp: newlisp (newLISP, a Lisp-like, general-purpose scripting language)
+newlisp:
+newlisp: newLISP is a Lisp-like, general-purpose scripting language. It has
+newlisp: all the magic of traditional Lisp but is easier to learn and use.
+newlisp: newLISP is friendly, fast, and small. Most of the functions you will
+newlisp: ever need are already built in. newLISP runs on most operating
+newlisp: systems.
+newlisp:
+newlisp: http://www.newlisp.org/
+newlisp:
+newlisp: